## gdm 1.0

=== DESCRIPTION ===
Package: gdm
Type: Package
Title: Functions for Generalized Dissimilarity Modeling
Version: 1.0
Date: 2015-03-27
Author: Glenn Manion, Matthew Lisk, Simon Ferrier, Diego Nieto-Lugilde, Matthew C. Fitzpatrick 
Maintainer: Matthew C. Fitzpatrick <mfitzpatrick@al.umces.edu>
Description: A toolkit with functions to fit, plot, and summarize Generalized Dissimilarity Models.
License: GPL-2
Depends: R (>= 2.15.2), Rcpp (>= 0.10.4), raster, reshape2, vegan
LinkingTo: Rcpp
Imports: plyr
Packaged: 2015-03-27 18:56:55 UTC; mlisk
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2015-03-27 20:58:26

## gdm 1.1.1

=== DESCRIPTION ===
Package: gdm
Type: Package
Title: Functions for Generalized Dissimilarity Modeling
Version: 1.1.1
Date: 2015-03-27
Author: Glenn Manion, Matthew Lisk, Simon Ferrier, Diego Nieto-Lugilde, Matthew C. Fitzpatrick 
Maintainer: Matthew C. Fitzpatrick <mfitzpatrick@al.umces.edu>
Description: A toolkit with functions to fit, plot, and summarize Generalized Dissimilarity Models.
License: GPL-2
Depends: R (>= 2.15.2), Rcpp (>= 0.10.4), raster, reshape2, vegan
LinkingTo: Rcpp
Imports: plyr
Packaged: 2015-09-09 20:04:13 UTC; mlisk
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2015-09-10 00:31:53

## gdm 1.1.2

=== DESCRIPTION ===
Package: gdm
Type: Package
Title: Functions for Generalized Dissimilarity Modeling
Version: 1.1.2
Date: 2015-09-11
Author: Glenn Manion, Matthew Lisk, Simon Ferrier, Diego Nieto-Lugilde, Matthew C. Fitzpatrick 
Maintainer: Matthew C. Fitzpatrick <mfitzpatrick@al.umces.edu>
Description: A toolkit with functions to fit, plot, and summarize Generalized Dissimilarity Models.
License: GPL-2
Depends: R (>= 2.15.2), Rcpp (>= 0.10.4), raster, reshape2, vegan
LinkingTo: Rcpp
Imports: plyr
Suggests: R.rsp
VignetteBuilder: R.rsp
Packaged: 2015-09-11 19:38:52 UTC; mlisk
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2015-09-12 17:20:05

## gdm 1.1.3

=== DESCRIPTION ===
Package: gdm
Type: Package
Title: Functions for Generalized Dissimilarity Modeling
Version: 1.1.3
Date: 2015-10-05
Author: Glenn Manion, Matthew Lisk, Simon Ferrier, Diego Nieto-Lugilde, Matthew C. Fitzpatrick 
Maintainer: Matthew C. Fitzpatrick <mfitzpatrick@al.umces.edu>
Description: A toolkit with functions to fit, plot, and summarize Generalized Dissimilarity Models.
License: GPL-2
Depends: R (>= 2.15.2), Rcpp (>= 0.10.4), raster, reshape2, vegan
LinkingTo: Rcpp
Imports: plyr
Suggests: R.rsp
VignetteBuilder: R.rsp
Packaged: 2015-10-06 14:39:20 UTC; mlisk
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2015-10-06 18:25:26

## gdm 1.1.4

=== DESCRIPTION ===
Package: gdm
Type: Package
Title: Functions for Generalized Dissimilarity Modeling
Version: 1.1.4
Date: 2015-10-14
Author: Glenn Manion, Matthew Lisk, Simon Ferrier, Diego Nieto-Lugilde, Matthew C. Fitzpatrick 
Maintainer: Matthew C. Fitzpatrick <mfitzpatrick@al.umces.edu>
Description: A toolkit with functions to fit, plot, and summarize Generalized Dissimilarity Models.
License: GPL-2
Depends: R (>= 2.15.2), Rcpp (>= 0.10.4), raster, reshape2, vegan
LinkingTo: Rcpp
Imports: plyr
Suggests: R.rsp
VignetteBuilder: R.rsp
Packaged: 2015-10-14 13:50:21 UTC; mlisk
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2015-10-14 17:14:53

## gdm 1.1.5

=== DESCRIPTION ===
Package: gdm
Type: Package
Title: Functions for Generalized Dissimilarity Modeling
Version: 1.1.5
Date: 2015-12-04
Author: Glenn Manion, Matthew Lisk, Simon Ferrier, Diego Nieto-Lugilde, Matthew C. Fitzpatrick 
Maintainer: Matthew C. Fitzpatrick <mfitzpatrick@al.umces.edu>
Description: A toolkit with functions to fit, plot, and summarize Generalized Dissimilarity Models.
License: GPL-2
Depends: R (>= 2.15.2), Rcpp (>= 0.10.4), raster, reshape2, vegan, plyr
LinkingTo: Rcpp
Imports:
Suggests: R.rsp
VignetteBuilder: R.rsp
Packaged: 2015-12-07 14:37:08 UTC; mlisk
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2015-12-07 22:56:50

## gdm 1.1.6

=== DESCRIPTION ===
Package: gdm
Type: Package
Title: Functions for Generalized Dissimilarity Modeling
Version: 1.1.6
Date: 2015-01-08
Author: Glenn Manion, Matthew Lisk, Simon Ferrier, Diego Nieto-Lugilde, Matthew C. Fitzpatrick 
Maintainer: Matthew C. Fitzpatrick <mfitzpatrick@al.umces.edu>
Description: A toolkit with functions to fit, plot, and summarize Generalized Dissimilarity Models.
License: GPL-2
Depends: R (>= 2.15.2), Rcpp (>= 0.10.4), raster, reshape2, vegan, plyr
LinkingTo: Rcpp
Imports:
Suggests: R.rsp
VignetteBuilder: R.rsp
Packaged: 2016-01-08 14:34:44 UTC; mlisk
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2016-01-08 16:28:47

## gdm 1.1.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: gdm
 Type: Package
 Title: Functions for Generalized Dissimilarity Modeling
-Version: 1.1.6
+Version: 1.1.7
 Date: 2015-01-08
 Author: Glenn Manion, Matthew Lisk, Simon Ferrier, Diego Nieto-Lugilde, Matthew C. Fitzpatrick 
 Maintainer: Matthew C. Fitzpatrick <mfitzpatrick@al.umces.edu>
@@ -12,7 +12,7 @@
 Imports:
 Suggests: R.rsp
 VignetteBuilder: R.rsp
-Packaged: 2016-01-08 14:34:44 UTC; mlisk
+Packaged: 2016-01-08 18:25:06 UTC; mlisk
 NeedsCompilation: yes
 Repository: CRAN
-Date/Publication: 2016-01-08 16:28:47
+Date/Publication: 2016-01-09 16:14:18

## gdm 1.2.0

=== DESCRIPTION ===
Package: gdm
Type: Package
Title: Functions for Generalized Dissimilarity Modeling
Version: 1.2.0
Date: 2016-03-22
Author: Glenn Manion, Matthew Lisk, Simon Ferrier, Diego Nieto-Lugilde, Matthew C. Fitzpatrick 
Maintainer: Matthew C. Fitzpatrick <mfitzpatrick@al.umces.edu>
Description: A toolkit with functions to fit, plot, and summarize Generalized Dissimilarity Models.
License: GPL-2
Depends: R (>= 2.15.2), raster, foreach, doParallel, parallel
LinkingTo: Rcpp
Imports: Rcpp (>= 0.10.4), reshape2, vegan
Suggests: R.rsp
VignetteBuilder: R.rsp
NeedsCompilation: yes
Packaged: 2016-03-23 14:25:44 UTC; mlisk
Repository: CRAN
Date/Publication: 2016-03-23 23:31:54

## gdm 1.2.2

=== DESCRIPTION ===
Package: gdm
Type: Package
Title: Functions for Generalized Dissimilarity Modeling
Version: 1.2.2
Date: 2016-03-28
Author: Glenn Manion, Matthew Lisk, Simon Ferrier, Diego Nieto-Lugilde, Matthew C. Fitzpatrick 
Maintainer: Matthew C. Fitzpatrick <mfitzpatrick@al.umces.edu>
Description: A toolkit with functions to fit, plot, and summarize Generalized Dissimilarity Models.
License: GPL-2
Depends: R (>= 2.15.2), raster, foreach, doParallel, parallel
LinkingTo: Rcpp
Imports: Rcpp (>= 0.10.4), reshape2, vegan
Suggests: R.rsp
VignetteBuilder: R.rsp
NeedsCompilation: yes
Packaged: 2016-03-28 15:22:01 UTC; mlisk
Repository: CRAN
Date/Publication: 2016-03-28 18:08:20

## gdm 1.2.3

=== DESCRIPTION ===
Package: gdm
Type: Package
Title: Functions for Generalized Dissimilarity Modeling
Version: 1.2.3
Date: 2016-04-15
Author: Glenn Manion, Matthew Lisk, Simon Ferrier, Diego Nieto-Lugilde, Matthew C. Fitzpatrick 
Maintainer: Matthew C. Fitzpatrick <mfitzpatrick@al.umces.edu>
Description: A toolkit with functions to fit, plot, and summarize Generalized Dissimilarity Models.
License: GPL-2
Depends: R (>= 2.15.2), raster, foreach, doParallel, parallel
LinkingTo: Rcpp
Imports: Rcpp (>= 0.10.4), reshape2, vegan
Suggests: R.rsp
VignetteBuilder: R.rsp
NeedsCompilation: yes
Packaged: 2016-04-15 19:36:47 UTC; mlisk
Repository: CRAN
Date/Publication: 2016-04-16 04:54:18

## gdm 1.3.0

=== DESCRIPTION ===
Package: gdm
Type: Package
Title: Generalized Dissimilarity Modeling
Version: 1.3.0
Date: 2017-01-06
Author: Glenn Manion, Matthew Lisk, Simon Ferrier, Diego Nieto-Lugilde, Karel Mokany, Matthew C. Fitzpatrick 
Maintainer: Matthew C. Fitzpatrick <mfitzpatrick@umces.edu>
Description: A toolkit with functions to fit, plot, and summarize Generalized Dissimilarity Models (Ferrier et al. 2007, <doi:10.1111/j.1472-4642.2007.00341.x>).
License: GPL-2
Depends: R (>= 2.15.2), raster, foreach, doParallel, parallel
LinkingTo: Rcpp
Imports: Rcpp (>= 0.10.4), reshape2, vegan
Suggests: R.rsp
VignetteBuilder: R.rsp
NeedsCompilation: yes
Packaged: 2017-01-06 20:39:50 UTC; mlisk
Repository: CRAN
Date/Publication: 2017-01-07 00:11:32

## gdm 1.3.1

=== DESCRIPTION ===
Package: gdm
Type: Package
Title: Generalized Dissimilarity Modeling
Version: 1.3.1
Date: 2017-02-27
Author: Glenn Manion, Matthew Lisk, Simon Ferrier, Diego Nieto-Lugilde, Karel Mokany, Matthew C. Fitzpatrick 
Maintainer: Matthew C. Fitzpatrick <mfitzpatrick@umces.edu>
Description: A toolkit with functions to fit, plot, and summarize Generalized Dissimilarity Models (Ferrier et al. 2007, <doi:10.1111/j.1472-4642.2007.00341.x>).
License: GPL-2
Depends: R (>= 2.15.2), raster, foreach, doParallel, parallel
LinkingTo: Rcpp
Imports: Rcpp (>= 0.10.4), reshape2, vegan
Suggests: R.rsp
VignetteBuilder: R.rsp
NeedsCompilation: yes
Packaged: 2017-02-27 16:21:33 UTC; mlisk
Repository: CRAN
Date/Publication: 2017-02-27 18:10:47

## gdm 1.3.2

=== DESCRIPTION ===
Package: gdm
Type: Package
Title: Generalized Dissimilarity Modeling
Version: 1.3.2
Date: 2017-03-24
Author: Glenn Manion, Matthew Lisk, Simon Ferrier, Diego Nieto-Lugilde, Karel Mokany, Matthew C. Fitzpatrick 
Maintainer: Matthew C. Fitzpatrick <mfitzpatrick@umces.edu>
Description: A toolkit with functions to fit, plot, and summarize Generalized Dissimilarity Models (Ferrier et al. 2007, <doi:10.1111/j.1472-4642.2007.00341.x>).
License: GPL-2
Depends: R (>= 2.15.2), raster, foreach, doParallel, parallel
LinkingTo: Rcpp
Imports: Rcpp (>= 0.10.4), reshape2, vegan
Suggests: R.rsp
VignetteBuilder: R.rsp
NeedsCompilation: yes
Packaged: 2017-03-24 19:33:48 UTC; mlisk
Repository: CRAN
Date/Publication: 2017-03-25 10:58:21 UTC

## gdm 1.3.3

=== DESCRIPTION ===
Package: gdm
Type: Package
Title: Generalized Dissimilarity Modeling
Version: 1.3.3
Date: 2017-08-14
Author: Glenn Manion, Matthew Lisk, Simon Ferrier, Diego Nieto-Lugilde, Karel Mokany, Matthew C. Fitzpatrick 
Maintainer: Matthew C. Fitzpatrick <mfitzpatrick@umces.edu>
Description: A toolkit with functions to fit, plot, and summarize Generalized Dissimilarity Models (Ferrier et al. 2007, <doi:10.1111/j.1472-4642.2007.00341.x>).
License: GPL-2
Depends: R (>= 2.15.2), raster, foreach, doParallel, parallel
LinkingTo: Rcpp
Imports: Rcpp (>= 0.10.4), reshape2, vegan
Suggests: R.rsp
VignetteBuilder: R.rsp
NeedsCompilation: yes
Packaged: 2017-08-14 14:59:13 UTC; mlisk
Repository: CRAN
Date/Publication: 2017-08-15 05:14:27 UTC

## gdm 1.3.4

=== DESCRIPTION ===
Package: gdm
Type: Package
Title: Generalized Dissimilarity Modeling
Version: 1.3.4
Date: 2017-09-15
Author: Glenn Manion, Matthew Lisk, Simon Ferrier, Diego Nieto-Lugilde, Karel Mokany, Matthew C. Fitzpatrick 
Maintainer: Matthew C. Fitzpatrick <mfitzpatrick@umces.edu>
Description: A toolkit with functions to fit, plot, and summarize Generalized Dissimilarity Models (Ferrier et al. 2007, <doi:10.1111/j.1472-4642.2007.00341.x>).
License: GPL-2
Depends: R (>= 2.15.2), raster, foreach, doParallel, parallel
LinkingTo: Rcpp
Imports: Rcpp (>= 0.10.4), reshape2, vegan
Suggests: R.rsp
VignetteBuilder: R.rsp
NeedsCompilation: yes
Packaged: 2017-09-15 19:35:07 UTC; mlisk
Repository: CRAN
Date/Publication: 2017-09-15 20:07:52 UTC

## gdm 1.3.7

=== DESCRIPTION ===
Package: gdm
Type: Package
Title: Generalized Dissimilarity Modeling
Version: 1.3.7
Date: 2018-02-19
Author: Glenn Manion, Matthew Lisk, Simon Ferrier, Diego Nieto-Lugilde, Karel Mokany, Matthew C. Fitzpatrick 
Maintainer: Matthew C. Fitzpatrick <mfitzpatrick@umces.edu>
Description: A toolkit with functions to fit, plot, and summarize Generalized Dissimilarity Models (Ferrier et al. 2007, <doi:10.1111/j.1472-4642.2007.00341.x>).
License: GPL-2
Depends: R (>= 2.15.2), raster, foreach, doParallel, parallel
LinkingTo: Rcpp
Imports: Rcpp (>= 0.10.4), reshape2, vegan
Suggests: R.rsp
VignetteBuilder: R.rsp
NeedsCompilation: yes
Packaged: 2018-02-19 21:48:11 UTC; mlisk
Repository: CRAN
Date/Publication: 2018-02-20 09:23:14 UTC

## gdm 1.3.8

=== DESCRIPTION ===
Package: gdm
Type: Package
Title: Generalized Dissimilarity Modeling
Version: 1.3.8
Date: 2018-03-12
Author: Glenn Manion, Matthew Lisk, Simon Ferrier, Diego Nieto-Lugilde, Karel Mokany, Matthew C. Fitzpatrick 
Maintainer: Matthew C. Fitzpatrick <mfitzpatrick@umces.edu>
Description: A toolkit with functions to fit, plot, and summarize Generalized Dissimilarity Models (Ferrier et al. 2007, <doi:10.1111/j.1472-4642.2007.00341.x>).
License: GPL-2
Depends: R (>= 2.15.2), raster, foreach, doParallel, parallel
LinkingTo: Rcpp
Imports: Rcpp (>= 0.10.4), reshape2, vegan
Suggests: R.rsp
VignetteBuilder: R.rsp
NeedsCompilation: yes
Packaged: 2018-03-12 18:45:09 UTC; mlisk
Repository: CRAN
Date/Publication: 2018-03-13 17:02:59 UTC

## gdm 1.3.10

=== DESCRIPTION ===
Package: gdm
Type: Package
Title: Generalized Dissimilarity Modeling
Version: 1.3.10
Date: 2018-06-04
Author: Glenn Manion, Matthew Lisk, Simon Ferrier, Diego Nieto-Lugilde, Karel Mokany, Matthew C. Fitzpatrick 
Maintainer: Matthew C. Fitzpatrick <mfitzpatrick@umces.edu>
Description: A toolkit with functions to fit, plot, and summarize Generalized Dissimilarity Models (Ferrier et al. 2007, <doi:10.1111/j.1472-4642.2007.00341.x>).
License: GPL-2
Depends: R (>= 2.15.2), raster, foreach, doParallel, parallel
LinkingTo: Rcpp
Imports: Rcpp (>= 0.10.4), reshape2, vegan
Suggests: R.rsp
VignetteBuilder: R.rsp
NeedsCompilation: yes
Packaged: 2018-06-04 18:34:03 UTC; mlisk
Repository: CRAN
Date/Publication: 2018-06-04 21:54:27 UTC

## gdm 1.3.11

=== DESCRIPTION ===
Package: gdm
Type: Package
Title: Generalized Dissimilarity Modeling
Version: 1.3.11
Date: 2018-06-05
Author: Glenn Manion, Matthew Lisk, Simon Ferrier, Diego Nieto-Lugilde, Karel Mokany, Matthew C. Fitzpatrick 
Maintainer: Matthew C. Fitzpatrick <mfitzpatrick@umces.edu>
Description: A toolkit with functions to fit, plot, and summarize Generalized Dissimilarity Models.
License: GPL-2
Depends: R (>= 2.15.2), raster, foreach, doParallel, parallel
LinkingTo: Rcpp
Imports: Rcpp (>= 0.10.4), reshape2, vegan
Suggests: R.rsp
VignetteBuilder: R.rsp
NeedsCompilation: yes
Packaged: 2018-06-05 13:58:49 UTC; mlisk
Repository: CRAN
Date/Publication: 2018-06-05 17:25:11 UTC

## gdm 1.4

=== DESCRIPTION ===
Package: gdm
Type: Package
Title: Generalized Dissimilarity Modeling
Version: 1.4
Date: 2020-02-04
Author: Matthew C. Fitzpatrick, Karel Mokany, Glenn Manion, Matthew Lisk, Simon Ferrier, Diego Nieto-Lugilde
Maintainer: Matthew C. Fitzpatrick <mfitzpatrick@umces.edu>
Description: A toolkit with functions to fit, plot, summarize, and apply Generalized Dissimilarity Models.
License: GPL-2
Depends: R (>= 2.15.2), raster, foreach, doParallel, parallel
LinkingTo: Rcpp
Imports: Rcpp (>= 0.10.4), reshape2, vegan, methods
Suggests: R.rsp
VignetteBuilder: R.rsp
NeedsCompilation: yes
Packaged: 2020-02-04 20:30:33 UTC; mfitzpatrick
Repository: CRAN
Date/Publication: 2020-02-05 11:00:02 UTC

## gdm 1.4.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: gdm
 Type: Package
 Title: Generalized Dissimilarity Modeling
-Version: 1.4
+Version: 1.4.1
 Date: 2020-02-04
 Author: Matthew C. Fitzpatrick, Karel Mokany, Glenn Manion, Matthew Lisk, Simon Ferrier, Diego Nieto-Lugilde
 Maintainer: Matthew C. Fitzpatrick <mfitzpatrick@umces.edu>
@@ -13,6 +13,6 @@
 Suggests: R.rsp
 VignetteBuilder: R.rsp
 NeedsCompilation: yes
-Packaged: 2020-02-04 20:30:33 UTC; mfitzpatrick
+Packaged: 2020-03-30 12:04:28 UTC; hornik
 Repository: CRAN
-Date/Publication: 2020-02-05 11:00:02 UTC
+Date/Publication: 2020-04-03 17:27:46 UTC

## gdm 1.4.2

=== DESCRIPTION ===
Package: gdm
Type: Package
Title: Generalized Dissimilarity Modeling
Version: 1.4.2
Date: 2020-04-20
Author: Matthew C. Fitzpatrick, Karel Mokany, Glenn Manion, Matthew Lisk, Simon Ferrier, Diego Nieto-Lugilde
Maintainer: Matthew C. Fitzpatrick <mfitzpatrick@umces.edu>
Description: A toolkit with functions to fit, plot, summarize, and apply Generalized Dissimilarity Models.
License: GPL-2
Depends: R (>= 2.15.2), raster, foreach, doParallel, parallel
LinkingTo: Rcpp
Imports: Rcpp (>= 0.10.4), reshape2, vegan, methods
Suggests: R.rsp
VignetteBuilder: R.rsp
NeedsCompilation: yes
Packaged: 2020-04-22 20:58:36 UTC; mfitzpatrick
RoxygenNote: 7.1.0
Repository: CRAN
Date/Publication: 2020-04-22 21:44:14 UTC

## gdm 1.4.2.1

=== DESCRIPTION ===
Package: gdm
Type: Package
Title: Generalized Dissimilarity Modeling
Version: 1.4.2.1
Date: 2021-01-08
Author: Matthew C. Fitzpatrick, Karel Mokany, Glenn Manion, Matthew Lisk, Simon Ferrier, Diego Nieto-Lugilde
Maintainer: Matthew C. Fitzpatrick <mfitzpatrick@umces.edu>
Description: A toolkit with functions to fit, plot, summarize, and apply Generalized Dissimilarity Models.
License: GPL-2
Depends: R (>= 2.15.2), raster, foreach, doParallel, parallel
LinkingTo: Rcpp
Imports: Rcpp (>= 0.10.4), reshape2, vegan, methods
Suggests: R.rsp
VignetteBuilder: R.rsp
NeedsCompilation: yes
Packaged: 2021-01-13 16:43:23 UTC; mfitzpatrick
Repository: CRAN
Date/Publication: 2021-01-13 17:40:02 UTC

## gdm 1.4.2.2

=== DESCRIPTION ===
Package: gdm
Type: Package
Title: Generalized Dissimilarity Modeling
Version: 1.4.2.2
Date: 2021-03-17
Author: Matthew C. Fitzpatrick, Karel Mokany, Glenn Manion, Matthew Lisk, Simon Ferrier, Diego Nieto-Lugilde
Maintainer: Matthew C. Fitzpatrick <mfitzpatrick@umces.edu>
Description: A toolkit with functions to fit, plot, summarize, and apply Generalized Dissimilarity Models.
License: GPL-2
Depends: R (>= 2.15.2), raster, foreach, doParallel, parallel
LinkingTo: Rcpp
Imports: Rcpp (>= 0.10.4), reshape2, vegan, methods
Suggests: R.rsp
VignetteBuilder: R.rsp
NeedsCompilation: yes
Packaged: 2021-03-17 18:54:00 UTC; mfitzpatrick
Repository: CRAN
Date/Publication: 2021-03-17 19:20:02 UTC

## gdm 1.5.0

=== DESCRIPTION ===
Package: gdm
Title: Generalized Dissimilarity Modeling
Version: 1.5.0
Date: 2021-11-15
Authors@R: 
    c(person("Matt", "Fitzpatrick", email="mfitzpatrick@umces.edu", 
    role = c("aut", "cre"),
           comment = c(ORCID = "0000-0003-1911-8407")),
           	person("Karel", "Mokany", role="aut",
           	comment = c(ORCID = "0000-0003-4199-3697")),
		    person("Glenn", "Manion", role="aut"),
		    person("Diego", "Nieto-Lugilde", role="aut",
		    comment=c(ORCID = "0000-0003-4135-2881")),
		    person("Simon", "Ferrier", role="aut",
		    comment = c(ORCID = "0000-0001-7884-2388")),
		    person("Matthew", "Lisk", role="ctb"),
		    person("Ware", "Chris", role="ctb"),
		    person("Woolley", "Skip", role="ctb"),
		    person("Harwood", "Tom", role="ctb"))
Description: A toolkit with functions to fit, plot, summarize, and apply Generalized Dissimilarity Models.
License: GPL (>= 3)
Depends: R (>= 3.5.0)
Encoding: UTF-8
RoxygenNote: 7.1.2
Config/testthat/edition: 3
LazyData: true
Imports: parallel, methods, raster, Rcpp, reshape2, vegan, doParallel,
        foreach
LinkingTo: Rcpp
NeedsCompilation: yes
Packaged: 2021-11-15 16:44:55 UTC; mfitzpatrick
Author: Matt Fitzpatrick [aut, cre] (<https://orcid.org/0000-0003-1911-8407>),
  Karel Mokany [aut] (<https://orcid.org/0000-0003-4199-3697>),
  Glenn Manion [aut],
  Diego Nieto-Lugilde [aut] (<https://orcid.org/0000-0003-4135-2881>),
  Simon Ferrier [aut] (<https://orcid.org/0000-0001-7884-2388>),
  Matthew Lisk [ctb],
  Ware Chris [ctb],
  Woolley Skip [ctb],
  Harwood Tom [ctb]
Maintainer: Matt Fitzpatrick <mfitzpatrick@umces.edu>
Repository: CRAN
Date/Publication: 2021-11-16 07:50:14 UTC

## gdm 1.5.0-1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: gdm
 Title: Generalized Dissimilarity Modeling
-Version: 1.5.0
-Date: 2021-11-15
+Version: 1.5.0-1
+Date: 2021-11-16
 Authors@R: 
     c(person("Matt", "Fitzpatrick", email="mfitzpatrick@umces.edu", 
     role = c("aut", "cre"),
@@ -14,9 +14,9 @@
 		    person("Simon", "Ferrier", role="aut",
 		    comment = c(ORCID = "0000-0001-7884-2388")),
 		    person("Matthew", "Lisk", role="ctb"),
-		    person("Ware", "Chris", role="ctb"),
-		    person("Woolley", "Skip", role="ctb"),
-		    person("Harwood", "Tom", role="ctb"))
+		    person("Chris", "Ware", role="ctb"),
+		    person("Skip", "Woolley", role="ctb"),
+		    person("Tom", "Harwood", role="ctb"))
 Description: A toolkit with functions to fit, plot, summarize, and apply Generalized Dissimilarity Models.
 License: GPL (>= 3)
 Depends: R (>= 3.5.0)
@@ -28,16 +28,16 @@
         foreach
 LinkingTo: Rcpp
 NeedsCompilation: yes
-Packaged: 2021-11-15 16:44:55 UTC; mfitzpatrick
+Packaged: 2021-11-17 17:16:16 UTC; mfitzpatrick
 Author: Matt Fitzpatrick [aut, cre] (<https://orcid.org/0000-0003-1911-8407>),
   Karel Mokany [aut] (<https://orcid.org/0000-0003-4199-3697>),
   Glenn Manion [aut],
   Diego Nieto-Lugilde [aut] (<https://orcid.org/0000-0003-4135-2881>),
   Simon Ferrier [aut] (<https://orcid.org/0000-0001-7884-2388>),
   Matthew Lisk [ctb],
-  Ware Chris [ctb],
-  Woolley Skip [ctb],
-  Harwood Tom [ctb]
+  Chris Ware [ctb],
+  Skip Woolley [ctb],
+  Tom Harwood [ctb]
 Maintainer: Matt Fitzpatrick <mfitzpatrick@umces.edu>
 Repository: CRAN
-Date/Publication: 2021-11-16 07:50:14 UTC
+Date/Publication: 2021-11-18 16:10:04 UTC

## gdm 1.5.0-3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: gdm
 Title: Generalized Dissimilarity Modeling
-Version: 1.5.0-1
-Date: 2021-11-16
+Version: 1.5.0-3
+Date: 2022-04-04
 Authors@R: 
     c(person("Matt", "Fitzpatrick", email="mfitzpatrick@umces.edu", 
     role = c("aut", "cre"),
@@ -17,18 +17,21 @@
 		    person("Chris", "Ware", role="ctb"),
 		    person("Skip", "Woolley", role="ctb"),
 		    person("Tom", "Harwood", role="ctb"))
-Description: A toolkit with functions to fit, plot, summarize, and apply Generalized Dissimilarity Models.
+Description: A toolkit with functions to fit, plot, summarize, and apply Generalized Dissimilarity Models. Mokany K, Ware C, Woolley SNC, Ferrier S, Fitzpatrick MC (2022) <doi:10.1111/geb.13459> Ferrier S, Manion G, Elith J, Richardson K (2007) <doi:10.1111/j.1472-4642.2007.00341.x>.
 License: GPL (>= 3)
 Depends: R (>= 3.5.0)
 Encoding: UTF-8
 RoxygenNote: 7.1.2
 Config/testthat/edition: 3
 LazyData: true
+URL: https://mfitzpatrick.al.umces.edu/gdm/,
+        https://github.com/fitzLab-AL/gdm/
+BugReports: https://github.com/fitzLab-AL/gdm/issues/
 Imports: parallel, methods, raster, Rcpp, reshape2, vegan, doParallel,
-        foreach
+        foreach, pbapply
 LinkingTo: Rcpp
 NeedsCompilation: yes
-Packaged: 2021-11-17 17:16:16 UTC; mfitzpatrick
+Packaged: 2022-04-04 22:55:06 UTC; mfitzpatrick
 Author: Matt Fitzpatrick [aut, cre] (<https://orcid.org/0000-0003-1911-8407>),
   Karel Mokany [aut] (<https://orcid.org/0000-0003-4199-3697>),
   Glenn Manion [aut],
@@ -40,4 +43,4 @@
   Tom Harwood [ctb]
 Maintainer: Matt Fitzpatrick <mfitzpatrick@umces.edu>
 Repository: CRAN
-Date/Publication: 2021-11-18 16:10:04 UTC
+Date/Publication: 2022-04-05 06:40:02 UTC

## gdm 1.5.0-9.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: gdm
 Title: Generalized Dissimilarity Modeling
-Version: 1.5.0-3
-Date: 2022-04-04
+Version: 1.5.0-9.1
+Date: 2022-11-17
 Authors@R: 
     c(person("Matt", "Fitzpatrick", email="mfitzpatrick@umces.edu", 
     role = c("aut", "cre"),
@@ -31,7 +31,7 @@
         foreach, pbapply
 LinkingTo: Rcpp
 NeedsCompilation: yes
-Packaged: 2022-04-04 22:55:06 UTC; mfitzpatrick
+Packaged: 2022-11-28 21:52:51 UTC; mfitzpatrick
 Author: Matt Fitzpatrick [aut, cre] (<https://orcid.org/0000-0003-1911-8407>),
   Karel Mokany [aut] (<https://orcid.org/0000-0003-4199-3697>),
   Glenn Manion [aut],
@@ -43,4 +43,4 @@
   Tom Harwood [ctb]
 Maintainer: Matt Fitzpatrick <mfitzpatrick@umces.edu>
 Repository: CRAN
-Date/Publication: 2022-04-05 06:40:02 UTC
+Date/Publication: 2022-12-01 15:30:02 UTC

## gdm 1.6.0-1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: gdm
 Title: Generalized Dissimilarity Modeling
-Version: 1.5.0-9.1
-Date: 2022-11-17
+Version: 1.6.0-1
+Date: 2024-09-04
 Authors@R: 
     c(person("Matt", "Fitzpatrick", email="mfitzpatrick@umces.edu", 
     role = c("aut", "cre"),
@@ -13,6 +13,7 @@
 		    comment=c(ORCID = "0000-0003-4135-2881")),
 		    person("Simon", "Ferrier", role="aut",
 		    comment = c(ORCID = "0000-0001-7884-2388")),
+		    person("Roozbeh", "Valavi", role="ctb"),
 		    person("Matthew", "Lisk", role="ctb"),
 		    person("Chris", "Ware", role="ctb"),
 		    person("Skip", "Woolley", role="ctb"),
@@ -21,26 +22,28 @@
 License: GPL (>= 3)
 Depends: R (>= 3.5.0)
 Encoding: UTF-8
-RoxygenNote: 7.1.2
+RoxygenNote: 7.3.2
 Config/testthat/edition: 3
 LazyData: true
 URL: https://mfitzpatrick.al.umces.edu/gdm/,
         https://github.com/fitzLab-AL/gdm/
 BugReports: https://github.com/fitzLab-AL/gdm/issues/
-Imports: parallel, methods, raster, Rcpp, reshape2, vegan, doParallel,
-        foreach, pbapply
+Imports: parallel, methods, Rcpp, reshape2, vegan, doParallel, foreach,
+        pbapply
+Suggests: tinytest, scales, terra
 LinkingTo: Rcpp
 NeedsCompilation: yes
-Packaged: 2022-11-28 21:52:51 UTC; mfitzpatrick
+Packaged: 2024-09-10 18:09:02 UTC; mfitzpatrick
 Author: Matt Fitzpatrick [aut, cre] (<https://orcid.org/0000-0003-1911-8407>),
   Karel Mokany [aut] (<https://orcid.org/0000-0003-4199-3697>),
   Glenn Manion [aut],
   Diego Nieto-Lugilde [aut] (<https://orcid.org/0000-0003-4135-2881>),
   Simon Ferrier [aut] (<https://orcid.org/0000-0001-7884-2388>),
+  Roozbeh Valavi [ctb],
   Matthew Lisk [ctb],
   Chris Ware [ctb],
   Skip Woolley [ctb],
   Tom Harwood [ctb]
 Maintainer: Matt Fitzpatrick <mfitzpatrick@umces.edu>
 Repository: CRAN
-Date/Publication: 2022-12-01 15:30:02 UTC
+Date/Publication: 2024-09-10 18:30:02 UTC

## gdm 1.6.0-2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: gdm
 Title: Generalized Dissimilarity Modeling
-Version: 1.6.0-1
-Date: 2024-09-04
+Version: 1.6.0-2
+Date: 2024-09-27
 Authors@R: 
     c(person("Matt", "Fitzpatrick", email="mfitzpatrick@umces.edu", 
     role = c("aut", "cre"),
@@ -33,7 +33,7 @@
 Suggests: tinytest, scales, terra
 LinkingTo: Rcpp
 NeedsCompilation: yes
-Packaged: 2024-09-10 18:09:02 UTC; mfitzpatrick
+Packaged: 2024-09-27 20:55:52 UTC; mfitzpatrick
 Author: Matt Fitzpatrick [aut, cre] (<https://orcid.org/0000-0003-1911-8407>),
   Karel Mokany [aut] (<https://orcid.org/0000-0003-4199-3697>),
   Glenn Manion [aut],
@@ -46,4 +46,4 @@
   Tom Harwood [ctb]
 Maintainer: Matt Fitzpatrick <mfitzpatrick@umces.edu>
 Repository: CRAN
-Date/Publication: 2024-09-10 18:30:02 UTC
+Date/Publication: 2024-09-27 22:40:02 UTC

## gdm 1.6.0-3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: gdm
 Title: Generalized Dissimilarity Modeling
-Version: 1.6.0-2
-Date: 2024-09-27
+Version: 1.6.0-3
+Date: 2024-11-01
 Authors@R: 
     c(person("Matt", "Fitzpatrick", email="mfitzpatrick@umces.edu", 
     role = c("aut", "cre"),
@@ -33,7 +33,7 @@
 Suggests: tinytest, scales, terra
 LinkingTo: Rcpp
 NeedsCompilation: yes
-Packaged: 2024-09-27 20:55:52 UTC; mfitzpatrick
+Packaged: 2024-11-01 17:52:52 UTC; mfitzpatrick
 Author: Matt Fitzpatrick [aut, cre] (<https://orcid.org/0000-0003-1911-8407>),
   Karel Mokany [aut] (<https://orcid.org/0000-0003-4199-3697>),
   Glenn Manion [aut],
@@ -46,4 +46,4 @@
   Tom Harwood [ctb]
 Maintainer: Matt Fitzpatrick <mfitzpatrick@umces.edu>
 Repository: CRAN
-Date/Publication: 2024-09-27 22:40:02 UTC
+Date/Publication: 2024-11-01 18:20:02 UTC

## gdm 1.6.0-4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: gdm
 Title: Generalized Dissimilarity Modeling
-Version: 1.6.0-3
-Date: 2024-11-01
+Version: 1.6.0-4
+Date: 2024-12-02
 Authors@R: 
     c(person("Matt", "Fitzpatrick", email="mfitzpatrick@umces.edu", 
     role = c("aut", "cre"),
@@ -33,7 +33,7 @@
 Suggests: tinytest, scales, terra
 LinkingTo: Rcpp
 NeedsCompilation: yes
-Packaged: 2024-11-01 17:52:52 UTC; mfitzpatrick
+Packaged: 2024-12-02 19:09:35 UTC; mfitzpatrick
 Author: Matt Fitzpatrick [aut, cre] (<https://orcid.org/0000-0003-1911-8407>),
   Karel Mokany [aut] (<https://orcid.org/0000-0003-4199-3697>),
   Glenn Manion [aut],
@@ -46,4 +46,4 @@
   Tom Harwood [ctb]
 Maintainer: Matt Fitzpatrick <mfitzpatrick@umces.edu>
 Repository: CRAN
-Date/Publication: 2024-11-01 18:20:02 UTC
+Date/Publication: 2024-12-02 19:30:02 UTC

## gdm 1.6.0-5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: gdm
 Title: Generalized Dissimilarity Modeling
-Version: 1.6.0-4
-Date: 2024-12-02
+Version: 1.6.0-5
+Date: 2025-01-10
 Authors@R: 
     c(person("Matt", "Fitzpatrick", email="mfitzpatrick@umces.edu", 
     role = c("aut", "cre"),
@@ -33,7 +33,7 @@
 Suggests: tinytest, scales, terra
 LinkingTo: Rcpp
 NeedsCompilation: yes
-Packaged: 2024-12-02 19:09:35 UTC; mfitzpatrick
+Packaged: 2025-01-10 14:16:08 UTC; mfitzpatrick
 Author: Matt Fitzpatrick [aut, cre] (<https://orcid.org/0000-0003-1911-8407>),
   Karel Mokany [aut] (<https://orcid.org/0000-0003-4199-3697>),
   Glenn Manion [aut],
@@ -46,4 +46,4 @@
   Tom Harwood [ctb]
 Maintainer: Matt Fitzpatrick <mfitzpatrick@umces.edu>
 Repository: CRAN
-Date/Publication: 2024-12-02 19:30:02 UTC
+Date/Publication: 2025-01-10 15:00:02 UTC

## gdm 1.6.0-6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: gdm
 Title: Generalized Dissimilarity Modeling
-Version: 1.6.0-5
-Date: 2025-01-10
+Version: 1.6.0-6
+Date: 2025-01-31
 Authors@R: 
     c(person("Matt", "Fitzpatrick", email="mfitzpatrick@umces.edu", 
     role = c("aut", "cre"),
@@ -33,7 +33,7 @@
 Suggests: tinytest, scales, terra
 LinkingTo: Rcpp
 NeedsCompilation: yes
-Packaged: 2025-01-10 14:16:08 UTC; mfitzpatrick
+Packaged: 2025-01-31 15:54:31 UTC; mfitzpatrick
 Author: Matt Fitzpatrick [aut, cre] (<https://orcid.org/0000-0003-1911-8407>),
   Karel Mokany [aut] (<https://orcid.org/0000-0003-4199-3697>),
   Glenn Manion [aut],
@@ -46,4 +46,4 @@
   Tom Harwood [ctb]
 Maintainer: Matt Fitzpatrick <mfitzpatrick@umces.edu>
 Repository: CRAN
-Date/Publication: 2025-01-10 15:00:02 UTC
+Date/Publication: 2025-01-31 17:30:02 UTC

## gdm 1.6.0-7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: gdm
 Title: Generalized Dissimilarity Modeling
-Version: 1.6.0-6
-Date: 2025-01-31
+Version: 1.6.0-7
+Date: 2025-04-16
 Authors@R: 
     c(person("Matt", "Fitzpatrick", email="mfitzpatrick@umces.edu", 
     role = c("aut", "cre"),
@@ -33,12 +33,14 @@
 Suggests: tinytest, scales, terra
 LinkingTo: Rcpp
 NeedsCompilation: yes
-Packaged: 2025-01-31 15:54:31 UTC; mfitzpatrick
-Author: Matt Fitzpatrick [aut, cre] (<https://orcid.org/0000-0003-1911-8407>),
-  Karel Mokany [aut] (<https://orcid.org/0000-0003-4199-3697>),
+Packaged: 2025-04-16 15:16:30 UTC; mfitzpatrick
+Author: Matt Fitzpatrick [aut, cre] (ORCID:
+    <https://orcid.org/0000-0003-1911-8407>),
+  Karel Mokany [aut] (ORCID: <https://orcid.org/0000-0003-4199-3697>),
   Glenn Manion [aut],
-  Diego Nieto-Lugilde [aut] (<https://orcid.org/0000-0003-4135-2881>),
-  Simon Ferrier [aut] (<https://orcid.org/0000-0001-7884-2388>),
+  Diego Nieto-Lugilde [aut] (ORCID:
+    <https://orcid.org/0000-0003-4135-2881>),
+  Simon Ferrier [aut] (ORCID: <https://orcid.org/0000-0001-7884-2388>),
   Roozbeh Valavi [ctb],
   Matthew Lisk [ctb],
   Chris Ware [ctb],
@@ -46,4 +48,4 @@
   Tom Harwood [ctb]
 Maintainer: Matt Fitzpatrick <mfitzpatrick@umces.edu>
 Repository: CRAN
-Date/Publication: 2025-01-31 17:30:02 UTC
+Date/Publication: 2025-05-08 11:20:05 UTC

## gdm 2.30.5

=== debian/changelog ===
gdm (2.30.5-0ubuntu4.1+langfixes~maverick1) maverick-backports; urgency=low

  * Merge recent security update. (LP: #746694)

 -- Gunnar Hjalmarsson <ubuntu@gunnar.cc>  Fri, 01 Apr 2011 05:16:00 +0200

gdm (2.30.5-0ubuntu4.1) maverick-security; urgency=low

  * SECURITY UPDATE: race condition allowing privilege escalation
    - debian/patches/91_CVE-2011-0727.patch: fix
      daemon/gdm-session-worker.c to copy files as session user rather
      than root followed by a subsequent chown.
    - CVE-2011-0727

 -- Steve Beattie <sbeattie@ubuntu.com>  Tue, 29 Mar 2011 09:27:07 -0700

gdm (2.30.5-0ubuntu4+langfixes~maverick1) maverick-backports; urgency=low

  [ backported Natty changes ] (LP: #719815)
  * debian/patches/40_one_lang_option_per_translation.patch:
    - The option list in the language chooser changed so the items
      represent available translations instead of locales
      (LP: #693337).
    - setlocale() validation and other non-applicable tests removed.
    - Show locale variants in the list of language options
      (LP: #408474).
  * debian/patches/36_language_environment_settings.patch:
    - Changes to Xsession's way to use GDM_LANG. It now sets LANGUAGE
      and LC_MESSAGES, which makes it possible to keep the user language
      for message translation apart from other locale settings
      (LP: #553162).
    - Use locale names with '.UTF-8' instead of '.utf8' when setting
      the LC_MESSAGES environment variable (LP: #666565).
  * debian/patches/35_langlist_and_lsmess_dmrc_fields.patch:
    - Addition of the fields "Langlist" and "LCMess", which make ~/.dmrc
      and /var/cache/gdm/$USER/dmrc able to store the user language
      environment (LP: #553162).

 -- Gunnar Hjalmarsson <ubuntu@gunnar.cc>  Fri, 01 Apr 2011 05:16:00 +0200

gdm (2.30.5-0ubuntu4) maverick; urgency=low

  * debian/gdm.upstart: Do not already fire on a framebuffer device. When a
    real DRM driver gets loaded later on, X will be started too early to catch
    it. This should go a long way towards fixing LP: #615549

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 13 Sep 2010 15:23:24 +0200

gdm (2.30.5-0ubuntu3) maverick; urgency=low

  * debian/patches/90_git_name_escaping.patch:
    - git change to correctly escape usernames (lp: #633050)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 08 Sep 2010 17:37:51 +0200

gdm (2.30.5-0ubuntu2) maverick; urgency=low

  * debian/patches/09_gdmsetup.patch:
    - don't list the policykit file in the configure, it's not required but
      breaks the escaping and the strings listed in the authentification dialog
      (lp: #617044)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 17 Aug 2010 21:47:44 +0200

gdm (2.30.5-0ubuntu1) maverick; urgency=low

  * New upstream version:
    - Retry getpw* calls if they return EINTR
    - #619588, don't show markup tags in UI (lp: #603097)
    - #626564, fix intermittent failure to load user list (lp: #614810) 

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 11 Aug 2010 21:50:35 +0200

gdm (2.30.4-0ubuntu1) maverick; urgency=low

  [ Sebastien Bacher ]
  * New upstream versions:
    - Translation fixes
    - Many performance improvements for the greeter
    - Various robustness fixes
    - Fix XDMCP
    - Fix switch user menu item detection
    - Remove obsolete restart and stop scripts
    - Fixed #618834, GdmProductSlave does not handle OpenSession 
    - Fixed #342397, gdm doesn't respond to XDMCP querys if local X server fails
      to start 
    - Fixed #544730, XDMCP broadcast discovery not working on BSD w/ ipv6 
      enabled (lp: #393835)
    - Fixed #589536, gdm-simple-slave crashed with signal 5 in 
      g_return_if_fail_warning (lp: #403441)
    - Fixed #592183, GDM entry field loses focus after dialogs are presented 
    - Fixed #594857, Warning when type 'gdm --version' in terminal in new GDM 
    - Fixed #599683, xdmcp Queries from Older software 
    - Fixed #610179, GDM patch for accounts dialogue 
    - Fixed #616722, Xdmcp linking problem 
    - Fixed #616730, user-switch-applet build failure: missing -I for dbus-glib 
    - Fixed #617665, Panel doesn't shrink after disabling "high contrast" 
    - Fixed #619588, User's Real names should be escaped against XML markup 
      (lp: #499690, #585128)
    - Fixed #620430, memory leaks in gdm 
    - Fixed #620893, bottom panel is overlapping at smaller sizes 
    - Fixed #620908, gdm user switch applet goes nuts while 
      changing password file 
    - Fixed #621045, Improve startup performance of the greeter 
    - Fixed #621131, User switch applet performance issues 
    - Fixed #621661, Make slaves more robust against crashes 
    - Fixed #622069, greeter doesn't work when there's no local user 
    - Fixed #622337, shows shutdown buttons when connecting over xdmcp 
    - Fixed #622430, keyboard layout handling wonky 
    - Fixed #622431, cancel button not shown during timed login 
    - Fixed #601458, Add presence items to status menu and port to JS 
  * Refresh distribution changes
  * debian/patches/07_correct_distribution_version.patch:
    - use upstream version
  * debian/patches/13_cache_ck_history.patch:
    - dropped since the new upstream version solves this issue differently
  * debian/patches/23_login_window_hint.patch:
    - dropped, the change is in the new version

  [ Kees Cook ]
  * debian/patches/24_system_uid.patch: - updated for upstream code changes

  [ Robert Ancell ]
  * debian/xsession.desktop:
  * debian/xterm.desktop:
    - Use clearer session names (LP: #599336)
  * debian/patches/09_gdmsetup.patch:
    - Remove session comment from combo box to make it fit better

  [ Martin Pitt ]
  * 09_gdmsetup.patch: Only show "Play Login Sound" checkbox if we have
    /usr/share/gdm/autostart/LoginWindow/libcanberra-ready-sound.desktop.
  * Add 01_upower.patch: Port to UPower.
  * debian/control: libdevkit-power-gobject-dev → libupower-glib-dev.

 -- Kees Cook <kees@ubuntu.com>  Fri, 06 Aug 2010 13:02:51 +0200



=== debian/control ===
Source: gdm
Section: gnome
Priority: optional
Maintainer: Sebastien Bacher <seb128@ubuntu.com>
Build-Depends: cdbs, 
               debhelper (>= 7.3.15ubuntu2),
               gnome-common,
               autotools-dev, 
               gnome-pkg-tools,
               libglib2.0-dev (>= 2.22), 
               libdbus-glib-1-dev (>= 0.74), 
               libx11-dev, 
               libgtk2.0-dev (>= 2.10), 
               libgconf2-dev, 
               libglade2-dev, 
               gnome-doc-utils,
               libpanel-applet2-dev, 
               gconf2,
               libattr1-dev,
               libpam0g-dev, 
               libxdmcp-dev, 
               libwrap0-dev, 
               libxi-dev, 
               libxinerama-dev, 
               libxklavier-dev,
               libpolkit-gobject-1-dev,
               libcanberra-gtk-dev (>= 0.4),
               libselinux1-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64], 
               iso-codes,
               libupower-glib-dev (>= 0.9.0)
Standards-Version: 3.8.4
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gdm/ubuntu

Package: gdm
Conflicts: gdm-snapshot, fast-user-switch-applet, libxklavier15 (<< 4.0-0ubuntu2), xsplash (<< 0.8)
Replaces: gdm-snapshot, fast-user-switch-applet
Architecture: any
Depends: ${shlibs:Depends}, 
         ${misc:Depends},
         adduser,
         libpam-modules (>= 0.72-1),
         libpam-runtime (>= 0.76-13.1),
         gnome-session-bin,
         kbd | console-tools,
         udev (>= 149-2)
Recommends: xserver-xorg,
         metacity | x-window-manager,
         gnome-settings-daemon | xfconf
Suggests: locales,
          uswsusp,
          libpam-gnome-keyring,
          gnome-power-manager,
          gnome-orca,
          gok,
          gnome-mag
Provides: x-display-manager
Breaks: usplash
Description: GNOME Display Manager
 gdm provides the equivalent of a "login:" prompt for X displays- it
 pops up a login window and starts an X session.
 .
 It provides all the functionality of xdm, including XDMCP support for
 managing remote displays.
 .
 The greeting window is written using the GNOME libraries and hence
 looks like a GNOME application- even to the extent of supporting
 themes! By default, the greeter is run as an unprivileged user for
 security.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_AUTO_UPDATE_LIBTOOL=pre
DEB_AUTO_UPDATE_ACLOCAL=1.11
DEB_AUTO_UPDATE_AUTOCONF=1
DEB_AUTO_UPDATE_AUTOHEADER=1
DEB_AUTO_UPDATE_AUTOMAKE=1.11

#LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

DEB_CONFIGURE_EXTRA_FLAGS += --disable-scrollkeeper --with-at-spi-registryd-directory=/usr/lib/at-spi --enable-ipv6=yes --with-incomplete-locales

DEB_DH_INSTALLINIT_ARGS = --no-start

ifeq (linux,$(DEB_HOST_ARCH_OS))
	DEB_CONFIGURE_EXTRA_FLAGS += --with-selinux
else
	DEB_CONFIGURE_EXTRA_FLAGS += --without-selinux
endif

binary-post-install/gdm::
	install -m644 debian/gdm-autologin.pam debian/gdm/etc/pam.d/gdm-autologin
	install -m644 debian/gdm.pam debian/gdm/etc/pam.d/gdm
	install -D -m644 debian/xterm.desktop debian/gdm/usr/share/xsessions/xterm.desktop
	install -D -m644 debian/xsession.desktop debian/gdm/usr/share/xsessions/xsession.desktop
	rm -r debian/gdm/var/gdm debian/gdm/var/run
	# move custom.conf to the examples
	mkdir -p debian/gdm/usr/share/doc/gdm/examples
	mv debian/gdm/etc/gdm/custom.conf debian/gdm/usr/share/doc/gdm/examples
	mv debian/gdm/usr/lib/bonobo/servers/GNOME_FastUserSwitchApplet.server debian/gdm/usr/lib/bonobo/servers/GNOME_FastUserSwitchAppletGdm.server
	# install default settings
	mkdir debian/gdm/var/lib/gdm/.gconf.defaults
	install -m 664 debian/%gconf-tree.xml debian/gdm/var/lib/gdm/.gconf.defaults
	# we install onboard (debian/onboard.desktop), and do not have gok
	install -m 644 debian/onboard.desktop debian/gdm/usr/share/gdm/autostart/LoginWindow/
	rm debian/gdm/usr/share/gdm/autostart/LoginWindow/gok.desktop
	# we do not currently need a PK agent in the gdm session
	rm debian/gdm/usr/share/gdm/autostart/LoginWindow/polkit-gnome-authentication-agent-1.desktop
